{ sources ? import ./nix/sources.nix, pkgs ? import sources.nixpkgs { }
, dhall ? import sources.easy-dhall-nix { } }:

pkgs.mkShell {
  buildInputs = with pkgs; [
    cargo
    cargo-watch
    rls
    rustc
    rustfmt

    # dhall
    dhall.dhall-simple

    # system
    openssl
    pkg-config
  ];
}
